Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.pool.impl
Class GenericObjectPool.Config

    java.lang.Object
      org.apache.commons.pool.impl.GenericObjectPool.Config

Enclosing class:
  GenericObjectPool

    public static class GenericObjectPool.Config

extends Object

A simple "struct" encapsulating the configuration information for a `GenericObjectPool`.

See Also:
  `GenericObjectPool.GenericObjectPool(org.apache.commons.pool.PoolableObjectFactory, org.apache.commons.pool.impl.GenericObjectPool.Config)`, `GenericObjectPool.setConfig(org.apache.commons.pool.impl.GenericObjectPool.Config)`

Field Summary
`boolean` | `lifo`
`int` | `maxActive`
`int` | `maxIdle`
`long` | `maxWait`
`long` | `minEvictableIdleTimeMillis`
`int` | `minIdle`
`int` | `numTestsPerEvictionRun`
`long` | `softMinEvictableIdleTimeMillis`
`boolean` | `testOnBorrow`
`boolean` | `testOnReturn`
`boolean` | `testWhileIdle`
`long` | `timeBetweenEvictionRunsMillis`
`byte` | `whenExhaustedAction`

Constructor Summary
`GenericObjectPool.Config()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### maxIdle

    public int maxIdle

See Also:
  `GenericObjectPool.setMaxIdle(int)`

### minIdle

    public int minIdle

See Also:
  `GenericObjectPool.setMinIdle(int)`

### maxActive

    public int maxActive

See Also:
  `GenericObjectPool.setMaxActive(int)`

### maxWait

    public long maxWait

See Also:
  `GenericObjectPool.setMaxWait(long)`

### whenExhaustedAction

    public byte whenExhaustedAction

See Also:
  `GenericObjectPool.setWhenExhaustedAction(byte)`

### testOnBorrow

    public boolean testOnBorrow

See Also:
  `GenericObjectPool.setTestOnBorrow(boolean)`

### testOnReturn

    public boolean testOnReturn

See Also:
  `GenericObjectPool.setTestOnReturn(boolean)`

### testWhileIdle

    public boolean testWhileIdle

See Also:
  `GenericObjectPool.setTestWhileIdle(boolean)`

### timeBetweenEvictionRunsMillis

    public long timeBetweenEvictionRunsMillis

See Also:
  `GenericObjectPool.setTimeBetweenEvictionRunsMillis(long)`

### numTestsPerEvictionRun

    public int numTestsPerEvictionRun

See Also:
  `GenericObjectPool.setNumTestsPerEvictionRun(int)`

### minEvictableIdleTimeMillis

    public long minEvictableIdleTimeMillis

See Also:
  `GenericObjectPool.setMinEvictableIdleTimeMillis(long)`

### softMinEvictableIdleTimeMillis

    public long softMinEvictableIdleTimeMillis

See Also:
  `GenericObjectPool.setSoftMinEvictableIdleTimeMillis(long)`

### lifo

    public boolean lifo

See Also:
  `GenericObjectPool.setLifo(boolean)`

Constructor Detail

### GenericObjectPool.Config

    public GenericObjectPool.Config()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.